Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridSource Class Reference

`#include <vtkStructuredGridSource.h>`

Inheritance diagram for vtkStructuredGridSource:

[legend]
Collaboration diagram for vtkStructuredGridSource:

[legend]
List of all members.

## Detailed Description

Abstract class whose subclasses generates structured grid data.

Date:
  2002/10/04 20:43:44

Revision:
  1.40

vtkStructuredGridSource is an abstract class whose subclasses generate structured grid data.

See also:
  vtkStructuredGridReader vtkPLOT3DReader

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (51%)
  - Martin, Ken (25%)
  - Cedilnik, Andy (12%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkStructuredGridSource.h)`
  - .`cxx` (`/Filtering/vtkStructuredGridSource.cxx)`

Definition at line 48 of file vtkStructuredGridSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkStructuredGrid * | GetOutput ()
vtkStructuredGrid * | GetOutput (int idx)
void | SetOutput (vtkStructuredGrid *output)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredGridSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridSource ()
| ~vtkStructuredGridSource ()

## Member Typedef Documentation

typedef vtkSource vtkStructuredGridSource::Superclass

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader. Definition at line 51 of file vtkStructuredGridSource.h.

## Constructor & Destructor Documentation

vtkStructuredGridSource::vtkStructuredGridSource | ( |  | ) | `[protected]`

vtkStructuredGridSource::~vtkStructuredGridSource | ( |  | ) | `[inline, protected]`

| Definition at line 63 of file vtkStructuredGridSource.h.

## Member Function Documentation

virtual const char* vtkStructuredGridSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader.

int vtkStructuredGridSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader.

virtual int vtkStructuredGridSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader.

vtkStructuredGridSource* vtkStructuredGridSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader.

void vtkStructuredGridSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource. Reimplemented in vtkDataSetToStructuredGridFilter, vtkStructuredGridToStructuredGridFilter, vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, vtkExtractGrid, vtkPLOT3DReader, and vtkPOPReader.

vtkStructuredGrid* vtkStructuredGridSource::GetOutput | ( |  | ) |

| Get the output of this source.

vtkStructuredGrid* vtkStructuredGridSource::GetOutput | ( | int | idx | ) |

| Get the output of this source. Reimplemented from vtkSource.

void vtkStructuredGridSource::SetOutput | ( | vtkStructuredGrid * | output | ) |

| Get the output of this source.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredGridSource.h